uses Lacrt;
var d:dpmiinfoblock;
begin
GetDPMIinfo(d);
writeln('DPMI present: ',d.present);
writeln('In protected mode: ',d.in_protected_mode);
writeln('verze: ',d.major,'.',d.minor);
writeln('v86: ',d.v86);
writeln('virtualizace: ',d.virtualizace);
writeln('bits: ',d.bits);
writeln;

writeln('dirty pagging: ',d.dirtypagging);
writeln('device mapping: ',d.mapdevices);
writeln('exceptions: ',d.exceptions);
writeln('base remaping: ',d.baseremap);
readln;
end.
